function param = lmsBDF(k)
%LMSBDF parameters of k-step BDF method

% created by Claude Gittelson

switch k
    case 1
        param = lmsParams([1 -1], [1], 'BDF(1)');
    case 2
        param = lmsParams([3 -4 1], [2], 'BDF(2)');
    case 3
        param = lmsParams([11 -18 9 -2], [6], 'BDF(3)');
    case 4
        param = lmsParams([25 -48 36 -16 3], [12], 'BDF(4)');
    case 5
        param = lmsParams([137 -300 300 -200 75 -12], [60], 'BDF(5)');
    case 6
        param = lmsParams([147 -360 450 -400 225 -72 10], [60], 'BDF(6)');
end

