function [y, fcalls] = rkSplitStep(param, ode, h, tol, y1, t, k, fcalls)
%RKSPITSTEP step of split rk method

% created by Claude Gittelson

for j = 1:param.stages
    [y1, fcalls] = feval(param.flow(param.scheme(j)), param, ode, param.weight(j)*h, tol, y1, t, k, fcalls);    
end
y = y1;